import type {Signature} from '../interfaces/type.js'
import {$reflectGen, CONCRETE} from '../interfaces/type.js'
import {$$typeToString} from 'ts-macros'
export const isReal =   (): Signature<'isReal',   number> => (a) => true
export const isSquare = (): Signature<'isSquare', number> => (a) => a >= 0

export interface GenericImplementations<T> {
   kilroy: "was here"
}

$reflectGen!(CONCRETE, [isReal, isSquare])
